#include "ComplexNumber.h"

#include <cmath>

ComplexNumber::ComplexNumber(double real, double imaginary)
	:	mReal(real),
		mImaginary(imaginary)
{

}

double ComplexNumber::getReal() const
{
	return mReal;
}

double ComplexNumber::getImaginary() const
{
	return mImaginary;
}

void ComplexNumber::setReal(double value)
{
	mReal = value;
}

void ComplexNumber::setImaginary(double value)
{
	mImaginary = value;
}

double ComplexNumber::getMagnitude() const
{
	return std::sqrt(mReal * mReal + mImaginary * mImaginary);
}